Home / API Documentation / Project management / Quota of projects / View the list of project quotas

View the list of project quotas

Requests

HTTP request

GET /apis/auth.alauda.io/v1/projectquotas

list objects of kind ProjectQuota

Query parameters

Name Type Required Description
allowWatchBookmarks boolean FalseallowWatchBookmarks requests watch events with type "BOOKMARK". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server's discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. If the feature gate WatchBookmarks is not enabled in apiserver, this field is ignored.
continue string FalseThe continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the "next key". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.
fieldSelector string FalseA selector to restrict the list of returned objects by their fields. Defaults to everything.
labelSelector string FalseA selector to restrict the list of returned objects by their labels. Defaults to everything.
limit integer Falselimit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true. The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.
resourceVersion string FalseWhen specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
timeoutSeconds integer FalseTimeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.
watch boolean FalseWatch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

ProjectQuotaList is a list of ProjectQuota

{
   "apiVersion": "v1",
   "items": [
     {
       "apiVersion": "auth.alauda.io/v1",
       "kind": "ProjectQuota",
       "metadata": {
         "creationTimestamp": "2021-06-24T12:15:46Z",
         "generation": 1,
         "labels": {
           "cpaas.io/cluster.name": "global",
           "cpaas.io/cluster.type": "",
           "cpaas.io/project": "cpaas"
         },
         "name": "cpaas",
         "resourceVersion": "3604075",
         "selfLink": "/apis/auth.alauda.io/v1/projectquotas/cpaas",
         "uid": "88938232-0f2f-4921-bbd6-bbae820fab2d"
       },
       "spec": {
         "hard": {
           "limits.cpu": "200",
           "limits.memory": "200Gi",
           "persistentVolumeclaims": "200",
           "pods": "200",
           "requests.cpu": "200",
           "requests.memory": "200Gi",
           "requests.storage": "200Gi"
         }
       },
       "status": {}
     }
   ],
   "kind": "List",
   "metadata": {
     "resourceVersion": "",
     "selfLink": ""
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
items array List of projectquotas. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md
Path: items
items[] object
Path: items[]
items[].apiVersion string See common parameters
items[].kind string See common parameters
items[].metadata object See common parameters
items[].spec object Spec is the specification of the project. This may or may not be reconciled by an active controller.
Path: items[].spec
spec.hard object record the quota info of project.
Path: items[].spec.hard
items[].status object Status is the status of the project.
Path: items[].status
kind string See common parameters
metadata object See common parameters

Other status codes

Status code: 401

Unauthorized